1. Bernhard Stoeter
  2. SnapDevelop
  3. Friday, 9 September 2022 08:37 AM UTC

Hi,

I installed PB2022 GA-edition successfully.
Windows 10, newest version Visual Studios 2017, 2019 and 2022 installed, newest patchlevel.
The same happend on a Windows 11 also with installed Visual Studios 2017, 2019 and 2022 installed, newest patchlevel.

When I start SnapDevelop 2022 I get a lot of error messages beginning with:

TypeInitializationException
The type initializer for 'SnapDevelop.Sdk.NetPlattform.NETCoreSdkManager' threw an execption

System.TypeInitializationException: The type initializer for 'SnapDevelop.Sdk.NetPlatform.NETCoreSdkManager' threw an exception.
 ---> System.FormatException: Input string was not in a correct format.
...

and

System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types.
Could not load file or assembly 'Microsoft.Build, Version=15.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'. Das System kann die angegebene Datei nicht finden.
...

and

System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types.
Could not load file or assembly 'Microsoft.CodeAnalysis, Version=4.1.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35'. Das System kann die angegebene Datei nicht finden.

and and and


What am I missing?

Thanks in advance
Bernhard

Who is viewing this page
Francisco Martinez @Appeon Accepted Answer Pending Moderation
  1. Tuesday, 13 September 2022 14:18 PM UTC
  2. SnapDevelop
  3. # 1

Hi Bernhard,

Our team did some analysis on the issue reported by other customer getting the exact same error, here are their results:

According to our analysis as well as comparing with the environment SDK list you provided, we identified that the reason for the SnapDevelop startup initialization error is as follows:
There is a non-standard version of runtime in the current environment: 2.1.3-servicing-26724-03. Please refer to: https://github.com/dotnet/cli/issues/9897
This is causing SnapDevelop to fail to start loading the SDK. Our development will optimize the SDK loading logic in the future.

You can currently work around this problem temporarily with the following solution:
Please uninstall SDK 2.1.401, and then reinstall this SDK to solve the problem of the non-standard version runtime in the environment.
Note: You do not need to reinstall SnapDevelop.

Please let me know if this solves the issue. If it doesn't please follow up with providing the output of the next command:

dotnet --info

Regards,
Francisco

Comment
  1. Francisco Martinez @Appeon
  2. Wednesday, 14 September 2022 16:29 PM UTC
Said customer had their issue disappear after uninstalling SDK 2.1.401 , so please try this fix.

Regards - Francisco
  1. Helpful 1
  1. Bernhard Stoeter
  2. Thursday, 15 September 2022 05:58 AM UTC
Hi Francosco,



yes, it works the way you have recommended. But I could not get SDK 2.1.401 so I use SDK 2.1.402 instead.

Thanks alot



Regards- Bernhard
  1. Helpful
There are no comments made yet.
Bernhard Stoeter Accepted Answer Pending Moderation
  1. Friday, 9 September 2022 17:31 PM UTC
  2. SnapDevelop
  3. # 2

Hi Francisco,

thanks for the quick response. Here is the SDK list:

1.1.0 [C:\Program Files\dotnet\sdk]
1.1.5 [C:\Program Files\dotnet\sdk]
1.1.6 [C:\Program Files\dotnet\sdk]
1.1.7 [C:\Program Files\dotnet\sdk]
1.1.8 [C:\Program Files\dotnet\sdk]
1.1.9 [C:\Program Files\dotnet\sdk]
1.1.10 [C:\Program Files\dotnet\sdk]
1.1.11 [C:\Program Files\dotnet\sdk]
1.1.12 [C:\Program Files\dotnet\sdk]
1.1.13 [C:\Program Files\dotnet\sdk]
1.1.14 [C:\Program Files\dotnet\sdk]
2.0.2 [C:\Program Files\dotnet\sdk]
2.0.3 [C:\Program Files\dotnet\sdk]
2.1.2 [C:\Program Files\dotnet\sdk]
2.1.4 [C:\Program Files\dotnet\sdk]
2.1.103 [C:\Program Files\dotnet\sdk]
2.1.104 [C:\Program Files\dotnet\sdk]
2.1.201 [C:\Program Files\dotnet\sdk]
2.1.202 [C:\Program Files\dotnet\sdk]
2.1.400 [C:\Program Files\dotnet\sdk]
2.1.401 [C:\Program Files\dotnet\sdk]
2.1.403 [C:\Program Files\dotnet\sdk]
2.1.526 [C:\Program Files\dotnet\sdk]
2.2.402 [C:\Program Files\dotnet\sdk]
3.1.422 [C:\Program Files\dotnet\sdk]
5.0.403 [C:\Program Files\dotnet\sdk]
5.0.408 [C:\Program Files\dotnet\sdk]
5.0.411 [C:\Program Files\dotnet\sdk]
6.0.300 [C:\Program Files\dotnet\sdk]
6.0.400 [C:\Program Files\dotnet\sdk]

Regards,

Bernhard

Comment
  1. Francisco Martinez @Appeon
  2. Monday, 12 September 2022 14:03 PM UTC
Hi Bernhard, try to see if this post https://stackoverflow.com/a/44152052 helps you solve your issue.

Regards - Francisco
  1. Helpful
  1. Bernhard Stoeter
  2. Tuesday, 13 September 2022 06:12 AM UTC
Hi Francisco,

"gacutil -i C:\Users\<<You Windows User>>\.nuget\packages\Microsoft.CodeAnalysis.Common\1.3.1\lib\net45\Microsoft.CodeAnalysis.dll" runs successfully but did not solve the problem. The SnapDevelop errors are the same.

Regards - Bernhard
  1. Helpful
  1. Bernhard Stoeter
  2. Tuesday, 13 September 2022 12:05 PM UTC
Hi Francisco,



I forgot to mention that I'm working under german language and regional settings.



Regards - Bernhard
  1. Helpful
There are no comments made yet.
Francisco Martinez @Appeon Accepted Answer Pending Moderation
  1. Friday, 9 September 2022 13:38 PM UTC
  2. SnapDevelop
  3. # 3

Hi Bernhard,

Please share with us the output of the following command:

dotnet --list-sdks

Regards,
Francisco

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.